POST Agents/Sale/SaveSaleStakeholder
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/Sale/SaveSaleStakeholder
Updates the existing SaleStakeholder or creates a new SaleStakeholder if the id parameter is 0.
NsApiSlow threshold: 1000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: saleStakeholder
The SaleStakeholder that is saved
| Property Name | Type | Description |
|---|---|---|
| StakeholderRoleName | String | Stakeholder role name |
| Comment | String | Optional comment text |
| StakeholderRoleId | Integer | Stakeholde role list id - Primary key |
| CountryId | Integer | Country id - primary key |
| PersonId | Integer | Person id - Primary key |
| EmailDescription | String | E-mail description |
| EmailId | Integer | E-mail address id - Primary key |
| EmailAddress | String | E-mail address |
| PhoneId | Integer | Primary key |
| ContactName | String | Contact name |
| ContactId | Integer | Contact ID of person or contact who is the sale stakeholder |
| SaleId | Integer | Parent sale |
| Mrmrs | String | e.g. Mrs, Mr, Ms, Dr. |
| Firstname | String | First name |
| MiddleName | String | Middle name or 'van' etc. |
| Lastname | String | Last name |
| SaleStakeholderId | Integer | Primary key |
| Rank | Integer | Rank in list of stakeholders |
| Phone | String | Phone number |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: SaleStakeholder
| Property Name | Type | Description |
|---|---|---|
| StakeholderRoleName | string | Stakeholder role name |
| Comment | string | Optional comment text |
| StakeholderRoleId | int32 | Stakeholde role list id - Primary key |
| CountryId | int32 | Country id - primary key |
| PersonId | int32 | Person id - Primary key |
| EmailDescription | string | E-mail description |
| EmailId | int32 | E-mail address id - Primary key |
| EmailAddress | string | E-mail address |
| PhoneId | int32 | Primary key |
| ContactName | string | Contact name |
| ContactId | int32 | Contact ID of person or contact who is the sale stakeholder |
| SaleId | int32 | Parent sale |
| Mrmrs | string | e.g. Mrs, Mr, Ms, Dr. |
| Firstname | string | First name |
| MiddleName | string | Middle name or 'van' etc. |
| Lastname | string | Last name |
| SaleStakeholderId | int32 | Primary key |
| Rank | int32 | Rank in list of stakeholders |
| Phone | string | Phone number |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Sale/SaveSaleStakeholder
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"StakeholderRoleName": "Wehner-Crist",
"Comment": "accusamus",
"StakeholderRoleId": 422,
"CountryId": 355,
"PersonId": 559,
"EmailDescription": "rene_weissnat@shields.com",
"EmailId": 973,
"EmailAddress": "isaac.wolff@legroscollins.ca",
"PhoneId": 158,
"ContactName": "Morissette LLC",
"ContactId": 787,
"SaleId": 802,
"Mrmrs": "sit",
"Firstname": "Kody",
"MiddleName": "Rempel Inc and Sons",
"Lastname": "Ebert",
"SaleStakeholderId": 941,
"Rank": 872,
"Phone": "633-459-8216"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"StakeholderRoleName": "Lesch Inc and Sons",
"Comment": "velit",
"StakeholderRoleId": 71,
"CountryId": 182,
"PersonId": 790,
"EmailDescription": "lydia.tromp@trantowgrant.us",
"EmailId": 614,
"EmailAddress": "elisabeth_will@halvorsonbailey.uk",
"PhoneId": 162,
"ContactName": "Wunsch-Kihn",
"ContactId": 314,
"SaleId": 946,
"Mrmrs": "esse",
"Firstname": "Zetta",
"MiddleName": "Gutmann, Brown and Eichmann",
"Lastname": "Shanahan",
"SaleStakeholderId": 218,
"Rank": 82,
"Phone": "(089)907-2405",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 342
}
}
}